DevelopersAPIReferencescenarios
Create scenario
Create a scenario with the Walletguide REST API. Parameters, response fields, and a playground you can run.
POST
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidapplication/json- body
name*stringLength
1 <= lengthstartDate*stringMatch
^\d{4}-\d{2}-\d{2}$endMonth?|Match
^\d{4}-\d{2}$startingBasePerCategory?|nullexpectedAnnualReturn*numberassetIds?array<>|nullThe created scenario
application/json- response
id*stringFormat
uuidwalletId*stringFormat
uuidfirestoreId*string|nullname*stringstartDate*stringendMonth*string|nullstartingBasePerCategory*string|number|boolean|null||array<unknown>expectedAnnualReturn*numberRange
-140737488355328 <= value <= 140737488355327assetIds*array<>|nullcreatedTime*|Format
date-timecreatedUserId*string|nulllastUpdatedTime*|Format
date-timelastUpdatedUserId*string|nullcurl -X POST 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/scenarios' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "startDate": "string", "expectedAnnualReturn": 0}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "name": "string", "startDate": "string", "endMonth": "string", "startingBasePerCategory": "string", "expectedAnnualReturn": -140737488355328, "assetIds": [ "96fa1cd8-4f1c-475e-ac07-c52694e711b7" ], "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string"}